export declare const THEME_KEY = "DONT_TRY_THIS__THEME_KEY";
export declare function handler(): void;
export declare function initTheme(): void;
export declare const internal = "\nfunction init() {\n  const theme = localStorage.getItem('DONT_TRY_THIS__THEME_KEY');\n\n  if (theme === 'dark') {\n    document.documentElement.classList.add('dark');\n  } else if ((!theme && window.matchMedia('(prefers-color-scheme: dark)').matches)) {\n    document.documentElement.classList.add('dark');\n    localStorage.setItem('DONT_TRY_THIS__THEME_KEY', 'dark');\n  } else if (!theme) {\n    localStorage.setItem('DONT_TRY_THIS__THEME_KEY', 'light');\n  }\n}\n\ninit()\n";
/**
 * String representation of init script. Used within application.theme-init-script.svelte to
 * dynamically load a header script to set theme. A header script ensures no theme 'flicker'
 * is shown when first loading the script.
 *
 * Since we are not able to import values into header scripts, a string representation is used
 * in conjunction with {#html script} to inject values such as the theme key.
*/
export declare const init = "<script>\nfunction init() {\n  const theme = localStorage.getItem('DONT_TRY_THIS__THEME_KEY');\n\n  if (theme === 'dark') {\n    document.documentElement.classList.add('dark');\n  } else if ((!theme && window.matchMedia('(prefers-color-scheme: dark)').matches)) {\n    document.documentElement.classList.add('dark');\n    localStorage.setItem('DONT_TRY_THIS__THEME_KEY', 'dark');\n  } else if (!theme) {\n    localStorage.setItem('DONT_TRY_THIS__THEME_KEY', 'light');\n  }\n}\n\ninit()\n</script>";
